package com.example.tasks

import android.os.Build
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.annotation.RequiresApi
import com.example.tasks.navigation.Navigation
import com.example.tasks.ui.theme.TasksTheme
import com.example.tasks.viewModels.AuthViewModel
import com.example.tasks.viewModels.CardViewModel
import com.example.tasks.viewModels.DatabaseViewModel


class MainActivity : ComponentActivity() {
    @RequiresApi(Build.VERSION_CODES.O)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            TasksTheme {
                val viewModel = AuthViewModel()
                val databaseViewModel = DatabaseViewModel()
                val viewModelCard = CardViewModel()
                Navigation(viewModel, databaseViewModel, viewModelCard)


            }
        }
    }
}
